Уязвимость фиксации сессий в Ruby on Rails

Дата публикации:
27.11.2007
Дата изменения:
01.12.2007
Всего просмотров:
1137
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Внедрение в сессию пользователя
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby on Rails 1.x
Уязвимые версии: Ruby on Rails версии до 1.2.6

Описание:
Уязвимость позволяет злоумышленнику внедриться в сессию целевого пользователя.

Уязвимость существует из-за того, что lib/action_controller/cgi_process.rb удаляет атрибут ":cookie_only" из "DEFAULT_SESSION_OPTIONS", что позволяет злоумышленнику внедриться в сессию целевого пользователя.

URL производителя: www.rubyonrails.org

Решение: Установите последнюю версию 1.2.6 с сайта производителя.

или введите имя

CAPTCHA